DashboardConfig (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.server.session.DashboardConfig class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.server.session
Class DashboardConfig

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.ui.server.session.DashboardConfig

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  RoleDashboardConfig, UserDashboardConfig

    public abstract class DashboardConfig

extends PersistedObject

See Also:
  Serialized Form

Constructor Summary
`protected` | `DashboardConfig()`
`protected` | `DashboardConfig(java.lang.String name, Crispo config)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`ConfigResponse` | `getConfig()`
`protected Crispo` | `getCrispo()`
`java.lang.String` | `getName()`
`int` | `hashCode()`
`protected void` | `setCrispo(Crispo config)`
`protected void` | `setName(java.lang.String n)`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`get_version_, getId, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DashboardConfig

    protected DashboardConfig()

### DashboardConfig

    protected DashboardConfig(java.lang.String name,
                              Crispo config)

Method Detail

### getConfig

    public ConfigResponse getConfig()

### getCrispo

    protected Crispo getCrispo()

### setCrispo

    protected void setCrispo(Crispo config)

### getName

    public java.lang.String getName()

### setName

    protected void setName(java.lang.String n)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `PersistedObject`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `PersistedObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.